# StepGeom_BSplineCurveForm.hxx File Reference

`#include <Standard_PrimitiveTypes.hxx>`

## Enumerations

enum | StepGeom_BSplineCurveForm { StepGeom_bscfPolylineForm, StepGeom_bscfCircularArc, StepGeom_bscfEllipticArc, StepGeom_bscfParabolicArc, StepGeom_bscfHyperbolicArc, StepGeom_bscfUnspecified }

## Enumeration Type Documentation

enum StepGeom_BSplineCurveForm

Enumeration values:

  StepGeom_bscfPolylineForm |
  StepGeom_bscfCircularArc |
  StepGeom_bscfEllipticArc |
  StepGeom_bscfParabolicArc |
  StepGeom_bscfHyperbolicArc |
  StepGeom_bscfUnspecified |